当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 4 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 在eclipse.ini添加javaagent lombok后,
帖子发表于 : 2017-02-09 3:09 

注册: 2010-05-08 4:52
帖子: 173
送出感谢: 0 次
接收感谢: 0 次
我在桌面左边launcher里添加了eclipse的快捷方式

代码:
sudo apt-get install gnome-panel 
gnome-desktop-item-edit  ~/Desktop/  --create-new


后来用eclipse的一个java插件lombok

1. 将 lombok.jar 复制到 eclipse.ini 所在的文件夹目录下
2. 打开 eclipse.ini ,在最后面插入以下代码并保存:
-javaagent:lombok.jar

结果用launcher的图表就打不开eclipse了

出现下面错误

代码:
    JVM terminated. Exit code=1
    /usr/bin/java
    -Dosgi.requiredJavaVersion=1.8
    -XX:+UseG1GC
    -XX:+UseStringDeduplication
    -Dosgi.requiredJavaVersion=1.8
    -Xms256m
    -Xmx1024m
    -javaagent:lombok.jar
    -jar /home/myos/Program/eclipse_j2ee//plugins/org.eclipse.equinox.launcher_1.3.201.v20161025-1711.jar
    -os linux
    -ws gtk
    -arch x86_64
    -showsplash /home/myos/Program/eclipse_j2ee//plugins/org.eclipse.platform_4.6.2.v20161124-1400/splash.bmp
    -launcher /home/myos/Program/eclipse_j2ee/eclipse
    -name Eclipse
    --launcher.library /home/myos/Program/eclipse_j2ee//plugins/org.eclipse.equinox.launcher.gtk.linux.x86_64_1.1.401.v20161122-1740/eclipse_1618.so
    -startup /home/myos/Program/eclipse_j2ee//plugins/org.eclipse.equinox.launcher_1.3.201.v20161025-1711.jar
    --launcher.appendVmargs
    -exitdata 1a8013
    -product org.eclipse.epp.package.jee.product
    -vm /usr/bin/java
    -vmargs
    -Dosgi.requiredJavaVersion=1.8
    -XX:+UseG1GC
    -XX:+UseStringDeduplication
    -Dosgi.requiredJavaVersion=1.8
    -Xms256m
    -Xmx1024m
    -javaagent:lombok.jar
    -jar /home/myos/Program/eclipse_j2ee//plugins/org.eclipse.equinox.launcher_1.3.201.v20161025-1711.jar



怎么办?


页首
 用户资料  
 
2 楼 
 文章标题 : Re: 在eclipse.ini添加javaagent lombok后,
帖子发表于 : 2017-02-10 1:29 

注册: 2010-05-08 4:52
帖子: 173
送出感谢: 0 次
接收感谢: 0 次
顶上去


页首
 用户资料  
 
3 楼 
 文章标题 : Re: 在eclipse.ini添加javaagent lombok后,
帖子发表于 : 2017-02-10 8:53 

注册: 2009-08-04 16:33
帖子: 15207
送出感谢: 21
接收感谢: 1635
http://askubuntu.com/questions/80013/ho ... y-launcher
How to pin Eclipse to the Unity launcher?

看看 有沒有幫助 版本會不會太老 ?


页首
 用户资料  
 
4 楼 
 文章标题 : Re: 在eclipse.ini添加javaagent lombok后,
帖子发表于 : 2017-02-11 20:55 

注册: 2010-05-08 4:52
帖子: 173
送出感谢: 0 次
接收感谢: 0 次
poloshiao 写道:
http://askubuntu.com/questions/80013/how-to-pin-eclipse-to-the-unity-launcher
How to pin Eclipse to the Unity launcher?

看看 有沒有幫助 版本會不會太老 ?



我就是按照这个方法把eclipse放在launcher的啊
而且eclipse版本是最新的
只是后来添加javaagent lombok后,才出现问题


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 4 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 2 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译